---
title: "Delete financial statement"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`DELETE /v2/entities/{id}/financial-statements`

## Path parameters

- `id` (`entity-delete-financial-statement.path.id`; string, required)
  - format `uuid`

## Query parameters

- `statementId` (`entity-delete-financial-statement.query.statementId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.sureshake.com/v2/entities/<id>/financial-statements?statementId=497f6eca-6276-4993-bfeb-53cbbbba6f08'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/financial-statements?statementId=497f6eca-6276-4993-bfeb-53cbbbba6f08';
const options = {method: 'DELETE'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/financial-statements?statementId=497f6eca-6276-4993-bfeb-53cbbbba6f08"

response = requests.delete(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "success": true
}
```

- `success` (`entity-delete-financial-statement.response.200.success`; boolean, required)

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-delete-financial-statement.response.400.error`; object, required)
  - `code` (`entity-delete-financial-statement.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-delete-financial-statement.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-delete-financial-statement.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-delete-financial-statement.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-delete-financial-statement.response.401.error`; object, required)
  - `code` (`entity-delete-financial-statement.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-delete-financial-statement.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-delete-financial-statement.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-delete-financial-statement.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-delete-financial-statement.response.403.error`; object, required)
  - `code` (`entity-delete-financial-statement.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-delete-financial-statement.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-delete-financial-statement.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-delete-financial-statement.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-delete-financial-statement.response.404.error`; object, required)
  - `code` (`entity-delete-financial-statement.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-delete-financial-statement.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-delete-financial-statement.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-delete-financial-statement.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-delete-financial-statement.response.409.error`; object, required)
  - `code` (`entity-delete-financial-statement.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-delete-financial-statement.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-delete-financial-statement.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-delete-financial-statement.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-delete-financial-statement.response.422.error`; object, required)
  - `code` (`entity-delete-financial-statement.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-delete-financial-statement.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-delete-financial-statement.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-delete-financial-statement.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-delete-financial-statement.response.429.error`; object, required)
  - `code` (`entity-delete-financial-statement.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-delete-financial-statement.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-delete-financial-statement.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-delete-financial-statement.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-delete-financial-statement.response.500.error`; object, required)
  - `code` (`entity-delete-financial-statement.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-delete-financial-statement.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-delete-financial-statement.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-delete-financial-statement.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-delete-financial-statement.response.503.error`; object, required)
  - `code` (`entity-delete-financial-statement.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-delete-financial-statement.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-delete-financial-statement.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-delete-financial-statement.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-delete-financial-statement/index.md
